using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace WebApplication1.Controllers
{
    using Models;

    public class KsiegaGosciController : Controller
    {
        const string nazwaPlikuXml = @"d:\JacekMatulewski\wpisy.xml";
        Wpisy wpisy = new Wpisy(nazwaPlikuXml);

        // GET: KsiegaGosci
        public ActionResult Index()
        {
            return View();
        }

        //POST
        [HttpPost]
        public ActionResult Index(FormCollection formularz)
        {
            string nazwaUżytkownika = formularz["TextBox1"];
            string treść = formularz["TextBox2"];

            if(nazwaUżytkownika != "" && treść != "")
            {
                Wpis wpis = new Wpis(
                    nazwaUżytkownika, 
                    treść, 
                    DateTime.Now, 
                    Request.UserHostAddress);
                wpisy.Dodaj(wpis);

                //TODO: zapamiętaj nazwę użytkownika
            }

            return View(wpisy);
        }
    }
}